/*
	scripts.js
*/
/*flex*/

		// Check if first slider image is loaded, and load flexslider on document ready
		jQuery(document).ready(function(){
		 var firstImage = jQuery('#flexslider-featured').find('img').filter(':first'),
			checkforloaded = setInterval(function() {
				var image = firstImage.get(0);
				if (image.complete || image.readyState == 'complete' || image.readyState == 4) {
					clearInterval(checkforloaded);
					jQuery('#flexslider-featured').flexslider({
						namespace: "flex-", 
						selector: ".slides > li", 
						animation: "fade",
						easing: "swing",   
						reverse: false,
						animationLoop: true,
						startAt: 0, 
						slideshow: true,
						slideshowSpeed: 7000,
						animationSpeed: 600,
						randomize: false,    
						pauseOnAction: false,
						useCSS: true,
						touch: true,
						keyboard: true,
						mousewheel: true,
						pausePlay: true, 
						pauseText: '<i class="fa fa-pause-circle"></i>',
						playText: '<i class="fa fa-play-circle"></i>',
					});
				}
			}, 20);
		});
/*  Tabs widget
/* ------------------------------------ */	
	$(function(){
		 
			 var tab = $('.tab-menu li'),
				  content = $('.tabmenuContent');
			 tab.filter(':first').addClass('aktif');
			 content.filter(':not(:first)').hide();
			 tab.click(function(){
				  var indis = $(this).index();
				  tab.removeClass('aktif').eq(indis).addClass('aktif');
				  content.hide().eq(indis).fadeIn(500);
				  return false;
			 });
		 
		});

/*  Scroll to top
/* ------------------------------------ */		
$(document).ready(function() {
			// Show or hide the sticky footer button
			$(window).scroll(function() {
				if ($(this).scrollTop() > 200) {
					$('.go-top').fadeIn(200);
				} else {
					$('.go-top').fadeOut(200);
				}
			});
			
			// Animate the scroll to top
			$('.go-top').click(function(event) {
				event.preventDefault();
				
				$('html, body').animate({scrollTop: 0}, 300);
			})
		});

	// Responsive toggle
	$(document).ready(function(){
	$(".toggle").click(function(){
		$(".menu").slideToggle("slow");
	  });
	});
	// End
	
/*  Dropdown menu animation
/* ------------------------------------ */
	$('#nav .sub-menu').hide();
	$('#nav li').hover( 
		function() {
			$(this).children('.sub-menu').slideDown('fast');
		}, 
		function() {
			$(this).children('.sub-menu').hide();
		}
	);
	


// Bilgi kutusu kapama
$(".note__close").click(function() {
  $(this).parent()
  .animate({ opacity: 0 }, 250, function() {
    $(this)
    .animate({ marginBottom: 0 }, 250)
    .children()
    .animate({ padding: 0 }, 250)
    .wrapInner("<div />")
    .children()
    .slideUp(250, function() {
      $(this).closest("#info").remove();
    });
  });
});

// Single Tab Menü
$(function() {
    var tab = $('.tabs-nav li'),
        content = $('.tab-content');
    tab.filter(':first').addClass('aktif');
    content.filter(':not(:first)').hide();
    tab.click(function() {
        var indis = $(this).index();
        tab.removeClass('aktif').eq(indis).addClass('aktif');
        content.hide().eq(indis).fadeIn(500);
        return false;
    });
});

// toogle single
jQuery(function($){
$(document).ready(function(){
$(".toggle_container").hide();
$("h3.trigger").click(function(){
$(this).toggleClass("active").next().slideToggle("normal");
return false; //Prevent the browser jump to the link anchor
});
});
});
