<?php
$siteadres = get_bloginfo('home');
if( $siteadres == "http://www.kuklahaber.com" or $siteadres == "http://kuklahaber.com" ){
 "Sorun yok domain lisanlıdır";
}else{
 die("UCKAN Wordpress temasının bu siteye ait bir lisansı bulunmamaktadır, lisans için uckannet@gmail.com adresine mail atabilirsiniz.");
 }
add_filter('disable_wpseo_json_ld_search', '__return_true'); 
add_action( 'wp_head', 'add_google_plus_meta' );

function add_google_plus_meta() {
	
	if( is_single() ) {
		
		global $post;
		
		$post_id = get_the_ID();
		setup_postdata( $post );
		
		$post = wp_get_attachment_image_src( get_post_thumbnail_id( $post_id ), 'post' );
		$post = empty( $post ) ? '' : '<meta itemprop="image" content="' . esc_url( $post[0] ) . '">';
	?>
	
<!-- Google+ meta tags -->
<meta name="name" content="<?php if ( is_single() ) {
        single_post_title('', true); 
    } else {
        bloginfo('name'); echo " - "; bloginfo('description');
    }
    ?>" />
<?php echo $post . "\n"; ?>
<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<meta name="description" content="<?php the_excerpt_rss(); ?>" />
<?php endwhile; endif; elseif(is_home()) : ?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php endif; ?>
<!-- eof Google+ meta tags -->
	<?php
	
	}
	
}

/*  Social links
/* ------------------------------------ */
if ( ! function_exists( 'uck_social_links' ) ) {

	function uck_social_links() {
		if ( !ot_get_option('social-links') =='' ) {
			$links = ot_get_option('social-links', array());
			if ( !empty( $links ) ) {
				echo '<ul class="medya">';	
				foreach( $links as $item ) {
					
					// Build each separate html-section only if set
					if ( isset($item['title']) && !empty($item['title']) ) 
						{ $title = 'title="' .$item['title']. '"'; } else $title = '';
					if ( isset($item['social-link']) && !empty($item['social-link']) ) 
						{ $link = 'href="' .$item['social-link']. '"'; } else $link = '';
					if ( isset($item['social-target']) && !empty($item['social-target']) ) 
						{ $target = 'target="' .$item['social-target']. '"'; } else $target = '';
					if ( isset($item['social-icon']) && !empty($item['social-icon']) ) 
						{ $icon = 'class="fa ' .$item['social-icon']. '"'; } else $icon = '';
					if ( isset($item['social-color']) && !empty($item['social-color']) ) 
						{ $color = 'style="color: ' .$item['social-color']. ';"'; } else $color = '';
					
					// Put them together
					if ( isset($item['title']) && !empty($item['title']) && isset($item['social-icon']) && !empty($item['social-icon']) && ($item['social-icon'] !='fa-') ) {
						echo '<li><a rel="nofollow" '.$title.' '.$link.' '.$target.'><i '.$icon.' '.$color.'></i></a></li>';
					}
				}
				echo '</ul>';
			}
		}
	}
	
}
/* ------------------------------------------------------------------------- *
 *  OptionTree framework integration: Use in theme mode
/* ------------------------------------------------------------------------- */
	
	add_filter( 'ot_show_pages', '__return_false' );
	add_filter( 'ot_show_new_layout', '__return_false' );
	add_filter( 'ot_theme_mode', '__return_true' );
	load_template( get_template_directory() . '/option-tree/ot-loader.php' );
	load_template( get_template_directory() . '/option-tree/theme-options.php' );
	load_template( get_template_directory() . '/option-tree/dynamic-styles.php' );
	load_template( get_template_directory() . '/inc/shortcodes/shortcodes.php' );

/* ------------------------------------------------------------------------- *
 *  SETUP
/* ------------------------------------------------------------------------- */
if ( ! function_exists( 'uck_setup' ) ) {
	
	function uck_setup() {	
				
		// featured images
		add_theme_support('post-thumbnails', array('post'));
		
		// thubnails size
		add_image_size('post', 825, 325, true);
		add_image_size('sidebar', 96, 64, true);
		add_image_size('home', 397, 210, true);
		
		// automatic feed links
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'title-tag' );
		
		// Custom menu areas
		register_nav_menus( array(
			'header' => 'Header',
			'footer' => 'Footer',
		) );
	}
	
}
add_action( 'after_setup_theme', 'uck_setup' );

/*  Excerpt ending
/* ------------------------------------ */
if ( ! function_exists( 'uck_excerpt_more' ) ) {

	function uck_excerpt_more( $more ) {
		return '...';
	}
	
}
add_filter( 'excerpt_more', 'uck_excerpt_more' );


/*  Excerpt length
/* ------------------------------------ */
if ( ! function_exists( 'uck_excerpt_length' ) ) {

	function uck_excerpt_length( $length ) {
		return ot_get_option('excerpt-length',$length);
	}
	
}
add_filter( 'excerpt_length', 'uck_excerpt_length', 999 );


/*  Custom favicon
/* ------------------------------------ */
if ( ! function_exists( 'uck_favicon' ) ) {

	function uck_favicon() {
		if ( ot_get_option('favicon') ) {
			echo '<link rel="shortcut icon" href="'.ot_get_option('favicon').'" />'."\n";
		}
	}
	
}
add_filter( 'wp_head', 'uck_favicon' );

/* ------------------------------------------------------------------------- *
 *  Enqueue css
/* ------------------------------------------------------------------------- */
function uck_styles() 
{
    wp_enqueue_style( 'style', get_stylesheet_uri() );
	if ( ot_get_option('responsive') != 'off' ) { wp_enqueue_style( 'responsive', get_template_directory_uri().'/responsive.min.css' ); } /*orjinal responsive.css*/
	wp_enqueue_script( 'scripts', get_template_directory_uri() . '/js/min/scripts.min.js', array( 'jquery' ),'', true );
	wp_enqueue_script( 'flexslider', get_template_directory_uri() . '/js/jquery.flexslider.min.js', array( 'jquery' ),'', false );
}
add_action( 'wp_enqueue_scripts', 'uck_styles' ); 



/* ------------------------------------------------------------------------- *
 *  REGISTER SIDEBAR, HOME
/* ------------------------------------------------------------------------- */
if (function_exists('register_sidebar'))
{
register_sidebar(array(
'before_widget' => '<aside id="%1$s" class="widgets %2$s">',
'after_widget' => '</aside>',
'name' => 'Sidebar',
'before_title'  => '<div class="widget-title"><h3>',
'after_title'   => '</h3></div>'
));
register_sidebar(array(
'name' => 'Home'
));
}
 

/* ------------------------------------------------------------------------- *
 *  WIDGETS
/* ------------------------------------------------------------------------- */
load_template( get_template_directory() . '/inc/widgets/widgets.php' );
load_template( get_template_directory() . '/inc/post-like.php' );
load_template( get_template_directory() . '/inc/functions.php' );

/* ------------------------------------------------------------------------- *
 *  Content width
/* ------------------------------------------------------------------------- */
if ( ! isset( $content_width ) ) {
	$content_width = 875;
}
