<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<meta charset="<?php bloginfo('charset'); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.5.0/css/font-awesome.min.css">
	<script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
	<?php wp_head(); ?>
</head>

 
<body <?php body_class(); ?> itemscope="itemscope">

	<header id="header" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
		<div class="header-ic">
		
			<?php if ( ot_get_option('custom-logo') ): ?>
				<div class="logo">
				<h2><a itemprop="url" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>"><img height="50" src="<?php echo ot_get_option('custom-logo'); ?>" alt="<?php bloginfo('name'); ?>"/></a></h2>
				</div>
			<?php else: ?>
				<div class="logo"><h2><a class="logo-yok" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php bloginfo('name'); ?>" itemprop="url"><?php echo ot_get_option( 'text-logo' ); ?></a><h2></div>
			<?php endif; ?>
			<?php uck_social_links() ; ?>
			<?php get_search_form(); ?>
			
		</div>
	</header>
	
	<div class="toggle"><span class="menu-title">Menu</span> <i class="fa fa-reorder"></i></div>
	
	<nav id="nav" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
		<div class="menu-ic">
			<?php $defaults = array('theme_location'  => 'header','menu'            => '','container'       => 'div','container_class' => '','container_id'    => '','menu_class'      => 'menu','menu_id'         => '','echo'            => true,'fallback_cb'     => 'wp_page_menu','before'          => '','after'           => '','link_before'     => '','link_after'      => '','items_wrap'      => '<ul id="%1$s" class="%2$s">%3$s</ul>','depth'           => 0,'walker'          => ''); wp_nav_menu( $defaults ); ?>
		</div>
	</nav>


	<div id="page" itemprop="mainContentOfPage" itemscope="itemscope">
		<?php if ( ot_get_option( 'reklam-ackapa' ) != 'off' ): ?>		
				<div id="header-reklam">
					<?php echo ot_get_option( 'reklam-header' ); ?>
				</div>
		<?php endif; ?>
         