
<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			<article id="post-<?php the_ID(); ?>" <?php post_class('post-home'); ?> itemscope="itemscope" itemtype="http://schema.org/BlogPosting">	
				<div class="post-arc">
					<?php if(has_post_thumbnail()): ?>
					<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'home'); ?>
					
					<figure>
						<div class="block-image">
							<div class="blog-catcom blog-comment">
								<a href="<?php the_permalink(); ?>#comments"><i class="fa fa-comment-o"></i> <?php comments_number( '0', '1', '%' ); ?></a> 
							</div>
							<div class="blog-category blog-catcom">
								<?php the_category(', '); ?>
							</div>
							<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='397' height='210'/></a>
						</div>
					</figure>
					<?php else: ?>
					<figure>
						<div class="block-image">
							<div class="blog-catcom blog-comment">
								<a href="<?php the_permalink(); ?>#comments"><i class="fa fa-comment-o"></i> <?php comments_number( '0', '1', '%' ); ?></a> 
							</div>
							<div class="blog-category blog-catcom">
								<?php the_category(', '); ?>
							</div>
							<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img itemprop="image" src="<?php echo ot_get_option('no-images'); ?>" alt="<?php the_title(); ?>" width='397' height='210' /></a>
						</div>
					</figure>
					<?php endif; ?>
					
					<div class="post-header">
						<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
						<div class="sticky-post">
								<span><i class="fa fa-flash"></i> Sabitlenmiş Yazı</span>
							</div>
						<div class="entry-content" itemprop="text">
							<?php if (ot_get_option('excerpt-length') != '0'): ?>
							<?php the_excerpt(); ?>
						</div>
					</div>

				</div>
		  <div class="bars">
          <div class="box social">
            <span class="button-effect"><?php echo getPostLikeLink( get_the_ID() ); ?></span>
            <span class="button-effect"><a class="tooltips" href="#"><i class="fa fa-calendar-o"></i><span class="entry-time"><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php echo human_time_diff( get_the_time('U'), current_time('timestamp') ) . ' önce'; ?>	</time></span></a></span>
            <span class="rmore button-effect"><a class="tooltips" href="<?php echo get_permalink(); ?>"><i class="fa fa-angle-right"></i><span>Devamını Oku</span></a></span>
          </div>
          </div>				
			</article>
			  
			
				<?php else: ?>
				<?php endif; ?>
				<?php endwhile; else: ?>
				<p style="text-align:center"><?php _e('Yazı bulunmamaktadır.'); ?></p>
				<?php endif; ?>
			<div class="clear"></div>
				<?php page_navi(); ?>
