<?php 
add_action( 'widgets_init', 'bc_category_widget'); 
 
function bc_category_widget() {
register_widget( 'bc_category_widget_info' );
}
 
class bc_category_widget_info extends WP_Widget {
function bc_category_widget_info () {
		$widget_ops = array( 'classname' => 'bc_category_widget', 'description' => 'Kategoriye göre son yazılar bileşeni' );
		$this->WP_Widget('bc_category_widget_info', 'UCK: Son Yazılar (Kategori)' , $widget_ops );	}
 
public function form( $instance ) { 
if ( isset( $instance[ 'bc_no_post' ]) && isset ($instance[ 'bc_category' ]) && isset ($instance[ 'bc_name' ])) {
			$bc_no_post_value = $instance[ 'bc_no_post' ];
			$bc_category_value = $instance[ 'bc_category' ];
			$bc_name_value = $instance[ 'bc_name' ];
 
		}
		else {
		$bc_no_post_value = 5;
		$bc_category_value = 1;
		$bc_name_value	= 'Kategori';
		} ?>
		<p>Baslik: <input class="widefat" name="<?php echo $this->get_field_name( 'bc_name' ); ?>" type="text" value="<?php echo esc_attr( $bc_name_value );?>" /></p>
 
		<p>Kategori: <?php wp_dropdown_categories(array('name' => $this->get_field_name('bc_category'), 'selected' => $bc_category_value, 'id' => $this->get_field_id('bc_category'), 'class' => 'widefat')); ?> </p>
 
		<p>Gosterilecek Yazi Sayisi: <select name="<?php echo $this->get_field_name('bc_no_post'); ?>" id="<?php echo $this->get_field_id('bc_no_post'); ?>" class="widefat">
		<?php
		$options = array('1' =>'1','2' =>'2','3' =>'3','4' =>'4','5' =>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10');
		foreach ($options as $langu => $code) {
		echo '<option value="' . $code . '" id="' . $code . '"', $bc_no_post_value == $code ? ' selected="selected"' : '', '>', $langu, '</option>';
		}
		?>
		</select>
		</p>
<?php
}
 
function update($new_instance, $old_instance) {
$instance = $old_instance;
$instance['bc_no_post'] = ( ! empty( $new_instance['bc_no_post'] ) ) ? strip_tags( $new_instance['bc_no_post'] ) : '';
 
$instance['bc_category'] = ( ! empty( $new_instance['bc_category'] ) ) ? strip_tags( $new_instance['bc_category'] ) : '';
 
$instance['bc_name'] = ( ! empty( $new_instance['bc_name'] ) ) ? strip_tags( $new_instance['bc_name'] ) : '';
return $instance;
}
 
function widget($args, $instance) {
extract($args);
echo $before_widget;
$bc_name_value = apply_filters( 'widget_title', $instance['bc_name'] );
$bc_category_value = empty( $instance['bc_category'] ) ? '&nbsp;' :
$instance['bc_category'];
$bc_no_post_value = empty( $instance['bc_no_post'] ) ? '&nbsp;' :
$instance['bc_no_post'];
if ( !empty( $name ) ) { echo $before_title . $bc_name_value .
$after_title; };
 
$args = array('category' => $bc_category_value,'posts_per_page'   => $bc_no_post_value );
$myposts = get_posts( $args );
global $post;
foreach ( $myposts as $post ) : setup_postdata( $post ); ?>

								<div class="tabmenu-tek">
									<?php if(has_post_thumbnail()): ?>
									<?php $image = wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), 'sidebar'); ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo $image[0]; ?>" alt="<?php the_title(); ?>" width='96' height='64' /></a>
									</div>
									<?php else: ?>
									<div class="tabmenu-image">
										<a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><img src="<?php echo ot_get_option('no-images'); ?>" alt="<?php the_title(); ?>" width='96' height='64' /></a>
									</div>
									<?php endif; ?>		
									<div class="baslik">
										<h3>
											<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
												<?php  
												title. $short_title = mb_substr(the_title('','',FALSE),0, 40);
												echo $short_title;
												if (strlen($short_title) > 39){
												echo '..';
												}
												?>
											</a>
										</h3>
									</div>
									<div class="tabmenu-tek-alt">
										 <span class="like"><?php echo getPostLikeLink( get_the_ID() ); ?></span>
										 <span class="tarih"><?php printf( _x( '%s önce', '%s = human-readable time difference', 'uck' ), human_time_diff( get_the_time( 'U' ), current_time( 'timestamp' ) ) ); ?></span>
									</div>
								</div>

<?php endforeach; 
wp_reset_postdata();
echo $after_widget;
}
}
