<?php
/*  Fazladan CSS
/* ------------------------------------ */
if ( ! function_exists( 'uck_demo_css' ) ) {

	function uck_demo_css () {
	
			// baslangic
			$styles = '<style type="text/css">'."\n";
			
			if ( ot_get_option('demo_css') ) {
				$styles .= ot_get_option('demo_css')."\n";
			}	
			
			$styles .= '</style>'."\n";
			// bitis
			
			echo $styles;		
	}	
	
}
add_action( 'wp_head', 'uck_demo_css', 2 );	


/* Dinamik Stiller
/* ------------------------------------ */
if ( ! function_exists( 'uck_dynamic_css' ) ) {

	function uck_dynamic_css() {
		if ( ot_get_option('dynamic-styles') != 'off' ) {
		
			
			// baslangic
			$styles = '<style type="text/css">'."\n";
			
			// body arkaplan
			if ( ot_get_option('body-background') != '#eaeaea' ) {
				$styles .= 'body { background-color: '.ot_get_option('body-background').'; }'."\n";
			}
			
			// Ana Renk
			if ( ot_get_option('uck-ana-renk') != '#e51c23' ) {
				$styles .= '.widgettitle i , #header, .tab-menu li.aktif, .tab-menu li.aktif:hover,
.comment.byuser span.author, #cancel-comment-reply-link, 
.footer-widget span.comment-author-link, .next.right a , .prev.left a , .wp-pagenavi span.current, .contact-form input[type=submit], .author-box .right span.posts, #commentform #submit, .go-top:hover, .widget_calendar caption, .widgets #recentcomments li:hover .comment-author-link, .widget:hover, .widgets.pyre_posts li:hover a.jm-post-like, #sidebar a.jm-post-like.liked, .widget_categories li:hover a:before, .widget_archive li:hover a:before { background-color: '.ot_get_option('uck-ana-renk').'; }'."\n";

				$styles .= '.crumbs li:hover, .navigation .alignleft a:hover, .navigation .alignright a:hover, .tagcloud a:hover, .divider a:hover, .post-home:hover .divider a, #footer .medya a:hover, .widget_categories li:hover a:after, .widget_archive li:hover a:after { border-color: '.ot_get_option('uck-ana-renk').'; }'."\n";
				
				
				$styles .= '.widget-title, .widget-title span { border-left-color: '.ot_get_option('uck-ana-renk').'; }'."\n";
				
				$styles .= '.crumbs li:hover a, .divider a:hover, .widgets li:hover a, .tabmenu-tek:hover .baslik h3 a, .post-home:hover .jm-post-like, .menu-footer li a:hover, #footer .medya a:hover, .crumbs li:hover a, .author-box .title:hover a, .navigation .alignleft a:hover, .navigation .alignright a:hover, .tagcloud a:hover, .tabmenu-tek:hover .baslik h3 a, .post-home { color: '.ot_get_option('uck-ana-renk').'!important; }'."\n";
			}
			// İkinci Renk
			if ( ot_get_option('uck-ikinci-renk') != '#5F3131' ) {
				$styles .= '#menu, nav#nav, .tab-menu ul li:hover, .toggle { background-color: '.ot_get_option('uck-ikinci-renk').'; }'."\n";
			}			
			// footer arkaplan
			if ( ot_get_option('footer-background') != '#fff' ) {
				$styles .= '#footer { background-color: '.ot_get_option('footer-background').'; }'."\n";
			}
			
			// Max Genişlik 
			if ( ot_get_option('container-width') != '1200px' ) {
				$styles .= '.menu-ic, .header-ic , #page { max-width: '.ot_get_option('container-width').'px; }'."\n";
			}
			
			$styles .= '</style>'."\n";
			// bitis
			
			echo $styles;		
		}
	}
	
}
add_action( 'wp_head', 'uck_dynamic_css', 100 );
